:root {
    --color-h2: #ffffff;
    --color-btn: #2086EB;
    --color-text: #ffffff;
    --bg: #000000;
    --card-color: #1a1f2e;
    --font-size: 0.8vw;
    --font-size-projects: 1.2vw;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: Arial, sans-serif;
    line-height: 1.6;
    color: var(--color-text);
    box-sizing: border-box;
    overflow-x: hidden;
    background-color: var(--bg);
}

body::-webkit-scrollbar {
    width: 10px;
}

body::-webkit-scrollbar-track {
    background: var(--bg);
}

body::-webkit-scrollbar-thumb {
    background-color: var(--color-btn);
    border-radius: 10px;
}

header {
    background-color: var(--bg);
    padding: 1rem;
    position: fixed;
    top: 0;
    display: flex;
    justify-content: space-between;
    text-align: center;
    align-items: center;
    width: 100vw;
    z-index: 1000;

    .logo span {
        color: var(--color-text);
        font-weight: bold;
    }
}

.navbar-mobile {
    display: none;
}

.navbar {
    display: flex;
    justify-content: center;
    gap: 2vw;
    margin: 0 1vw;
}

.navbar a {
    color: var(--color-text);
    text-decoration: none;
    font-size: 1rem;
    transition: ease-in-out 0.3s;
}

.navbar .active {
    color: var(--color-btn);
}

.navbar .active:hover {
    text-decoration: none;
}

.navbar a:hover {
    color: var(--color-btn);
    text-decoration: underline;
    text-underline-offset: 10px;
    text-decoration-thickness: 2px;
}

.title {
    width: 100%;
    display: flex;
    justify-content: center;
    font-size: 1.5vw;
    margin-top: 70px;
}

.whats {
    display: flex;
    position: fixed;
    bottom: 3vw;
    right: 2vw;
    flex-direction: row;
    justify-content: right;
}

.whats img {
    width: 4vw;
    cursor: pointer;
}

.container {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 2vw;
    align-items: center;
}

.left {
    display: flex;
    padding: 5vw;
    flex-direction: column;
    justify-content: space-between;
    height: 60vh;
    gap: 2rem;
}

.skills {
    /* position: relative; */
    gap: 1vw;
    display: flex;
    flex-direction: row;
    justify-content: space-between;

    img {
        width: 70px;
        height: 50px;
        object-fit: contain;

    }
}

.home-image {
    display: flex;
    align-items: end;
    height: 100vh;

}

.home-image img {
    width: 40vw;
}

span {
    color: var(--color-btn);
}

#habilidades {
    display: grid;
    grid-template-columns: repeat(3, minmax(20vw, auto));
    column-gap: 2vw;
    row-gap: 3vw;
    justify-content: center;
    width: 90%;
    height: auto;
    margin: 5vw auto;

    .card {
        background-color: var(--card-color);
        padding: 1.5rem;
        width: 25vw;
        min-height: 12vw;
        border-radius: 10px;
        text-align: left;
        box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
        transition: ease-in-out 0.2s;
        border: 1px solid transparent;
    }

    .card:hover {
        border: 1px var(--color-btn) solid;
    }

    .card h3 {
        color: var(--color-btn);
        margin-bottom: 1rem;
    }

    .card p {
        font-size: 1.2vw;
        color: #cfcfcf;
    }

}

/* ==================== VERSAO MOBILE ==================== */

@media (max-width: 768px) {

    body {
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        height: 100vh;
    }

    header {
        display: none;
    }

    #open_mobile {
        margin: 1vw;
        font-size: 8vw;
    }

    .navbar {
        display: none;
    }

    .navbar-mobile {
        display: flex;
        position: fixed;
        top: 0;
        background-color: var(--bg);
        width: 100%;

        #open_mobile {
            color: var(--color-text);
        }
    }

    .mobile-menu {
        display: flex;
        flex-direction: column;
        text-align: center;
        justify-content: center;
        gap: 10vw;
        background-color: var(--bg);
        opacity: 0.98;
        position: fixed;
        width: 100%;
        height: 100vh;
        z-index: 200;

        span {
            position: fixed;
            top: 3vw;
            right: 3vw;
            font-size: 10vw;
        }

        .material-symbols-outlined {
            color: var(--color-text);
        }

        a {
            text-decoration: none;
            color: var(--color-text);
            font-weight: bold;
            font-size: 5vw;
        }

    }

    .container {
        display: flex;
        flex-direction: column-reverse;
        justify-content: flex-start;
        align-items: center;
        gap: 2rem;
        height: 100vh;
    }

    .left {
        height: auto;
        justify-content: center;
        align-items: center;
        text-align: center;
        gap: 2rem;
        width: 90%;

        h1 {
            font-size: 7vw;
            position: absolute;
            top: 5vh;
            z-index: -10;
        }
    }

    .home-image {
        height: auto;
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .home-image img {
        width: 100vw;
    }

    .skills {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        width: 90vw;
    }

    .skills img {
        width: 8vw;
        height: 8vw;
        justify-content: space-between;
    }

    .whats {
        display: none;
    }

    #inicio {
        height: 100vh;
        justify-content: space-between;
        margin: 0;

        .btn-primary {
            display: none;
        }
    }

    .title {
        font-size: 5vw;
    }

    #habilidades {
        display: flex;
        flex-direction: column;
        align-items: center;
        width: 95%;
        height: auto;
        gap: 5vw;
        padding-bottom: 5vh;

        .card {
            background-color: #1a1f2e;
            padding: 1.5rem;
            width: 90%;
            height: auto;
            border-radius: 10px;
        }

        .card p {
            font-size: 4vw;

        }

    }

}